from sgmllib import SGMLParser

class HTML2Body(SGMLParser):

    def __init__(self):
        self.gettingData = 0
        self.inBody = ''
        SGMLParser.__init__(self)

    def start_body(self, attributes):
        self.gettingData = 1


    def end_body(self):
        self.gettingData = 0

    def handle_data(self, data):
        if self.gettingData == 1:
            self.inBody = self.inBody + data

    def unknown_starttag(self, tag, attributes):
        if self.gettingData == 1:
            attr_str = ''
            for (name, value) in attributes:
                attr_str = '%s="%s"' %(name, value)
            self.inBody = self.inBody + ('<%s %s>' % (tag, attr_str))

    def unknown_endtag(self, tag):
        if self.gettingData == 1:
            self.inBody = self.inBody + ('</%s>' % tag)

    def unknown_charref(self, ref):
        if self.gettingData == 1:
            self.inBody = self.inBody + ('&#%s;' % ref)

    def unknown_entityref(self, ref):
        if self.gettingData == 1:
            self.inBody = self.inBody + ('&%s;' % ref)

    def getBody(self):
        return self.inBody
